Subject: [bug#74522] [PATCH 20/73] move libgl provider from mesa to libglvnd+mesa

From: The Man <[email-masked]>
Date: Tue, 26 Nov 2024 21:41:24 -0600

I'm not a complete expert on the topic but the general consensus is
that libglvnd is expected to be used.
mesa's upstream defaults to compiling with libglvnd support (if it can
find it. i didn't see much success, only tried once... , simply adding
libglvnd as an input)
even with nvidia moving towards open source for once I hard suspect
they will default to the libglvnd expected packaging style, with very
few distributions being similar to guix (with the libgl provider is a
single vendor)

On Tue, Nov 26, 2024 at 7:45 PM Maxim Cournoyer
<[email-masked]> wrote:
>
> Hello,
>
> Is this how Mesa upstream foresees all of its users to use it?  Or is it
> just Nvidia's or systems requiring of proprietary nvidia/amd drivers
> (non-mesa ones) that benefit from that?
>
> Since even nvidia is moving toward having proper free drivers (coupled
> with proprietary firmware blobs...), I wonder if libgl still has value,
> especially for a system such as Guix which promotes software freedom.
>
> I haven't researched the question, so I'm asking in case you can shed
> light on this matter.
>
> Without looking too much into it yet, perhaps this change could be
> mostly automated via some 'git grep -l bmesa | xargs sed
> 's/\bmesa\b/libgl/' or similar; and could then be committed as a single
> change, eschewing the usual GNU ChangeLog format for the command used?
> We allow this when the change is a massive and automated (e.g.,
> sed-authored) change.
>
> Thank you!
>
> --
> Maxim